Arduino

Reference Language | Libraries | Comparison | Changes

Mouse

## Mouse.press()

#### Description

Sends a button press to a connected computer. A press is the equivalent of clicking and continuously holding the mouse button. A press is cancelled with Mouse.release().

Before using Mouse.press(), you need to start communication with Mouse.begin().

Mouse.press() defaults to a left button press.

WARNING: When you use the Mouse.press() command, the Arduino takes over your mouse! Make sure you have control before you use the command. A pushbutton to toggle the mouse control state is effective.

#### Syntax

Mouse.press();
Mouse.press(button)

#### Parameters

button: which mouse button to press - char

- MOUSE_LEFT (default)
- MOUSE_RIGHT
- MOUSE_MIDDLE

#### Returns

nothing

#### Example

void setup(){
//The switch that will initiate the Mouse press
pinMode(2,INPUT);
//The switch that will terminate the Mouse press
pinMode(3,INPUT);
//initiate the Mouse library
Mouse.begin();
}
void loop(){
//if the switch attached to pin 2 is closed, press and hold the right mouse button
if(digitalRead(2) == HIGH){
Mouse.press();
}
//if the switch attached to pin 3 is closed, release the right mouse button
if(digitalRead(3) == HIGH){
Mouse.release();
}
}
[Get Code]

#### See also

- Mouse.begin()
- Mouse.click()
- Mouse.end()
- Mouse.move()
- Mouse.release()
- Mouse.isPressed()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers